Subject: bug#34675: 27.0.50; (MS-Windows) DND fails for UNC filename on same server

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Mar 2019 20:12:19 +0200

> From: Richard Copley <[email-masked]>
> Date: Sat, 2 Mar 2019 12:44:02 +0000
> Cc: [email-masked]
> 
> 1. In a command prompt window, create a folder "x", and share it as
> "y", and create a file "z" in the folder "x":
> 
> mkdir %HOMEDRIVE%%HOMEPATH%\x
> net share y=%HOMEDRIVE%%HOMEPATH%\x
> >%HOMEDRIVE%%HOMEPATH%\x\z echo.
> 
> 2. Run "emacs -Q". Evaluate (system-name) in Emacs and make a note of
> the result.
> 
> 3. Open Explorer and enter "\\foo\y" in the address bar, where "foo"
> is the system name.
> 
> 4. Drag the file "z" from Explorer and drop it on Emacs. Emacs signals
> an error, "dnd-open-local-file: Can not read file:///y/z".
> 
> 5. Clean up:
> 
> net share y /delete
> rmdir /s /q %HOMEDRIVE%%HOMEPATH%\x
> 
> End of recipe.

Thanks, I hope I fixed that.

> Just now I noticed this in the docstring of the variable
> `dnd-open-remote-file-function':
> 
> "‘dnd-open-local-file’ attempts to open a remote file using its UNC name and
> is the  default on MS-Windows.  ‘dnd-open-remote-url’ uses ‘url-handler-mode’
> and is the default except for MS-Windows."
> 
> It sounds as though my scenario has been considered. But it is not
> true now that "‘dnd-open-local-file’ attempts to open a remote file
> using its UNC name".

I think it's true, if the UNC's //SERVER part names a system other
than the local one.  Right?  (And with my changes of a few minutes
ago, the local UNC's should also hopefully work.)